For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check the Validity of Cwallet ID

Check if the Cwallet User ID is correct and return the nickname

POST https://admin.ccpayment.com/ccpayment/v1/check/user

Headers

Name
Type
Description

Appid*

string

Merchant's unique credential. Find it on the Developer page.

Timestamp*

string

Timestamp in seconds (10-digit). The request is valid for two minutes.

Sign*

string

SHA-256 (APPID + APP Secret +timestamp+body (json string)). Signature guide.

Content-Type*

String

application/json; charset=utf-8

Request Body

Name
Type
Description

c_id*

string

Cwallet ID

Response

Body

{
	"code": 10000,
	"msg": "success",
	"data": {
		"c_id": "9454818",
		"nikename": "alvin"
	}
}

Parameter

Name
Value
Required
Type
Description

code

10000

Integer

msg

Success

String

data

Object

data.c_id

9454818

String

Cwallet ID

data.nickname

alvin

String

Cwallet desensitized nickname

Name
Value
Required
Type
Description

Appid

202302010636261620672405236006912

Y

string

Merchant's unique credential. Find it on the Developer page.

Timestamp

1677152490

Y

string

Timestamp in seconds (10-digit). The request is valid for two minutes.

Sign

871f0223c66ea72435208d03603a0cb00b90f6ac4a4ba725d00164d967e291f6

Y

string

SHA-256 (appId + appSecret + timestamp+body (json string))

Request Body Example

Last updated